5E Character Create Playlist
Page 36 of 41 First ... 263435363738 ... Last

Thread: 5E Enhancer

  1. #351
    I've downloaded the EXT files and placed them in /home/blah/.smiteworks/fgdata/extensions. Unlike other extensions, I do not see a way to enable the extension in FGU. It's not even listed like other extensions like RobT's and KentM's.

    Is there a build step that I'm missing from git hub to get all of the graphics, scripts, etc, etc into the EXT file? It looks to me like the EXT file is just an XML doc. For example, https://github.com/StyrmirThorarins/...%20v0.10.0.ext

  2. #352
    Can one of you that forked this extension copy off the old code and start a meeting GitHub with the changes implemented while providing appropriate credit to the original developer? His original intent, as called out in this thread, was to have someone else carry his work forward. We can start a new thread with a new name and move off of this. Maybe a couple of you guys could even share responsibility if there was a desire. This is one of the must have extensions for 5e and it’s slowly dying without care and feeding.

  3. #353
    I just had this happen myself and i think it was my inexperience with Github. I thought I had downloaded the extension correctly, but I did not.

    What I did to finally get the correct file is go to the folder on Github:

    FG-5E-Enhancer/Extension files (complete extension)/

    Then I found the version for FGU and clicked on that. ( I chose the FG-5E-Enhancer v0.10.2.ext)

    On the next page, there is a button that says Download

    Once downloaded do as you mentioned and place in the extensions folder (mine was C:\Users\name\AppData\Roaming\SmiteWorks\Fantasy Grounds Unity\extensions

    Good luck, I just got mine to work!

  4. #354
    If you download the master, it is embedded in a folder, the root of your .ext archive should directly contain the extension.xml file, else it won't work.
    Last edited by Naurthoron; January 15th, 2021 at 10:18.

  5. #355
    Hi. Just wondered if anyone else is having problems with the height extension after the latest update (FGU v4.0.8 ULTIMATE). I'm getting errors in the console whenever I use the mouse wheel, specifically when I try to resize tokens:-

    [1/23/2021 1:01:48 PM] s'5E Enhancer: Token.onWheel handler warning produced on purpose to force fallback to original token scaling code.'
    [1/23/2021 1:01:48 PM] [ERROR] Handler error: [string "scripts/token_wheel_manager.lua"]:22: attempt to call field 'onWheel' (a nil value)

    These errors repeat whenever I use the wheel. I can confirm that this does not happen if I disable the height extension. Does anyone have any idea how I can resolve this? I'm not a programmer but do have some technical ability.
    Last edited by Noelus; January 23rd, 2021 at 14:31.

  6. #356
    When I manually resize the windows, it jumps back to whatever setting I have set in this mod's settings when I reopen it. I cannot find a way to retain my manually resized windows sizes.
    I have tried removing the windowstate.xml file and the error still occurred.

    Are you using Fantasy Grounds Unity? (I only support FGU with this extension. If you're using FG classic I'll refer you to the finalized version of my 5E Combat Enhancer extension instead.)
    Yes

    Is your FG software up to date?
    Yes

    Do you have the latest version of the extensions installed? (You can see the most up to date version number in the first post on page 1, the version number is printed in FG on start in the chat.)
    No - maybe? Current version on this site says 0.10.1 but I seem to have 0.10.2.

    Please post the console error printout here:
    (This is the error log window text. It can be opened by typing '/console' in the FG text window if it didn't open by itself. Also if there are no output errors, state that here.)
    There are no error outputs.

    If you create a new (clean) campaign, with ONLY the 5E Enhancer extensions enabled, does the error still occur?
    Yes.

    Can you recreate the error consistently?
    It happens consistently - manual resizing never works.

    What are the precise steps to recreating the error?
    I manually resize a window. I close it and open it again and it is back to either default or larger settings from this mod.

    Does this always happen?
    Yes

    Does this only happen when using a specific module, map, NPC, PC, weapon, etc.?
    (The more in depth information on which these are the better.)
    It happens on a new campaign, in old campaigns - even after deleting the windowstate.xml file and resetting all saved sizes. It does not matter if I

    Do you have a screenshot you could share?
    I manually resize to e.g. this size:
    http://prntscr.com/xihr3x
    I close the window and reopen it and it looks like this:
    http://prntscr.com/xihrx1

  7. #357
    Zacchaeus's Avatar
    Join Date
    Dec 2014
    Location
    Scotland
    Posts
    15,918
    As fra as I'm aware (and according to the first post) this extension is no longer under development or supported. So I guess use with caution or not at all.
    If you need to contact customer support or if there is something that you would like to see in Fantasy Grounds that isn't currently part of the software or if there is something you think would improve a ruleset then add your idea to the customer support portal https://fantasygroundsunity.atlassia...stomer/portals

  8. #358
    It is just such a great piece of work that it would be a shame to see it deteriorate.

    I do not understand much about lua code, but after looking around, the author claims that the values in windowstate.xml holds priority over the function that attempt to resize the windows. Can anyone confirm if this is true? The windows are manipulated using the setSize on the windowinstance object but this function seems to run no matter what, hence why I'm not sure about the prioritization.

  9. #359
    I know that this is no longer in development. However I thought I would share something that happened somewhere between Last night and three weeks ago.

    When I try to change the size of a token I get an error message. Everything still works this just pops up on everyones screens as well. At least once or twice.

    [2/1/2021 7:41:00 PM] s'5E Enhancer: Token.onWheel handler warning produced on purpose to force fallback to original token scaling code.'
    [2/1/2021 7:41:00 PM] [ERROR] Handler error: [string "scripts/token_wheel_manager.lua"]:22: attempt to call field 'onWheel' (a nil value)

  10. #360
    What is the state of this extension anyway? I think I've read through here that the original author has gone non responsive? The code was up on github and I've forked it and fixed the particular issue above. Is it cool to paste a link to my fork? I'd hate for this extension to wither and die and if that means I do what I can to keep it running, I'll do it as time allows. I love this extension.

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
DMsGuild Classic

Log in

Log in